%define upstream_name	 Term-ProgressBar
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provides a progress meter on a standard terminal
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.130.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::MethodMaker) >= 1.20.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fatal)
BuildRequires: perl(File::Temp)
BuildRequires: perl(POSIX)
BuildRequires: perl(Term::ReadKey) >= 2.140.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.800.0
BuildArch:  noarch

%description
Term::ProgressBar provides a simple progress bar on the terminal, to
let the user know that something is happening, roughly how much stuff
has been done, and maybe an estimate at how long remains.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
rm -f t/0-signature.t
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
#%doc README Changes
%{perl_vendorlib}/Term/ProgressBar.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.130.0-2.mga3
+ Revision: 373238
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 2.130.0-1.mga3
+ Revision: 255486
- update to 2.13

* Thu Feb 23 2012 jquelin <jquelin> 2.110.0-1.mga2
+ Revision: 213188
- update to 2.11
- remove old rpm stuff

* Thu Jan 05 2012 jquelin <jquelin> 2.100.0-1.mga2
+ Revision: 191466
- update to 2.10

* Sat Jan 22 2011 jquelin <jquelin> 2.90.0-1.mga1
+ Revision: 32419
- mageia rebuild
- imported package perl-Term-ProgressBar

